curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "supermarket grocery",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities-search"
payload = {
"query": "supermarket grocery",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'supermarket grocery', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-tracxn-legal-entities-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "tracxn_legal_entities_search",
"query": "supermarket grocery",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Tracxn — legal entities search\n\n- **Query:** query=supermarket grocery\n- **Results:** 2\n- **Proxy traffic:** 262.4 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"name": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED",
"url": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"alias": "supermarket-grocery-supplies-private-limited",
"cin": "U51909KA2011PTC060707",
"incorporation_date": "2011-10-07",
"country": "India",
"country_slug": "india",
"status": "Active",
"associated_brands": [
"Bigbasket",
"Kwik24"
]
},
"items": [
{
"id": "wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"name": "SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED",
"url": "https://tracxn.com/d/legal-entities/india/supermarket-grocery-supplies-private-limited/__wkVBPMIeXFNcyh1StR0AqxcuG_kTfnVohmvVAUSR0jw",
"alias": "supermarket-grocery-supplies-private-limited",
"cin": "U51909KA2011PTC060707",
"incorporation_date": "2011-10-07",
"country": "India",
"country_slug": "india",
"status": "Active",
"associated_brands": [
"Bigbasket",
"Kwik24"
]
},
{
"id": "hLO1VxfuN8Fj9T1583qMfcCcxNOwto4JAF5mxXkasyg",
"name": "KISAN TO KITCHEN SUPERMARKET GROCERY SUPPLIES PRIVATE LIMITED",
"url": "https://tracxn.com/d/legal-entities/india/kisan-to-kitchen-supermarket-grocery-supplies-private-limited/__hLO1VxfuN8Fj9T1583qMfcCcxNOwto4JAF5mxXkasyg",
"alias": "kisan-to-kitchen-supermarket-grocery-supplies-private-limited",
"cin": "U51909AP2021PTC118234",
"incorporation_date": "2021-05-13",
"country": "India",
"country_slug": "india",
"status": "Active",
"associated_brands": []
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 268745
},
"total_points": 2
}Tracxn legal entities search
Search 21.9M registered legal entities in Tracxn by name or CIN in one of 13 countries (default India): name, CIN, incorporation date, status, associated brands and link. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Name or CIN. e.g. supermarket grocery
Country. Options: india = India, australia = Australia, croatia = Croatia, czech-republic = Czech Republic, denmark = Denmark, estonia = Estonia, germany = Germany, new-zealand = New Zealand, norway = Norway, poland = Poland, singapore = Singapore, thailand = Thailand, united-kingdom = United Kingdom
india, australia, croatia, czech-republic, denmark, estonia, germany, new-zealand, norway, poland, singapore, thailand, united-kingdom Max items (up to 20)
1 <= x <= 20Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.